For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Brands
            • GETList Brands
            • POSTCreate Brand
            • DELDelete Brands
            • GETGet Brand
            • PUTUpdate Brand
            • DELDelete Brand
              • POSTCreate Brand Image
              • DELDelete Brand Image
        • Categories
        • Category Trees
        • Products
        • Product Modifiers
        • Product Variants
        • Product Variant Options
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminCatalogBrandsImages

Create Brand Image

POST
https://api.bigcommerce.com/stores/:store_hash/v3/catalog/brands/:brand_id/image
POST
/stores/:store_hash/v3/catalog/brands/:brand_id/image
$curl -X POST https://api.bigcommerce.com/stores/store_hash/v3/catalog/brands/1/image \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: multipart/form-data" \
> -F image_file=@<file1>
1{
2 "data": {
3 "image_url": "https://cdn11.bigcommerce.com/s-{store_hash}/product_images/k/group_1545334669__76009.png"
4 },
5 "meta": {}
6}
Creates a brand image. **Required Fields** - image_file: Form posts are the only accepted upload option. For more information on how to upload an image see [Adding product images](/developer/docs/admin/catalog-and-inventory/products-overview#adding-product-images). NOTE: Ensure you set the `Content-Type` header to `multipart/form-data; boundary=--example-boundary--` and set the correct URL for this endpoint. **Read-Only Fields** - id Only one image at a time can be created. To update a brand image, use the [Update a brand](/developer/api-reference/rest/admin/catalog/brands/update-brand) endpoint and an `image_url`.
Was this page helpful?
Previous

Delete Multiple Metafields

Next

Delete Brand Image

Built with

Creates a brand image.

Required Fields

  • image_file: Form posts are the only accepted upload option. For more information on how to upload an image see Adding product images. NOTE: Ensure you set the Content-Type header to multipart/form-data; boundary=--example-boundary-- and set the correct URL for this endpoint.

Read-Only Fields

  • id

Only one image at a time can be created. To update a brand image, use the Update a brand endpoint and an image_url.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Products | modify | `store_v2_products` | | Products | read-only | `store_v2_products_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

brand_idintegerRequired
The ID of the brand to which the resource belongs.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Request

This endpoint expects a multipart form containing an optional file.
image_filefileOptional

Response

dataobject
metaobject
Response metadata.

Errors

400
Bad Request Error
404
Not Found Error
422
Unprocessable Entity Error

OAuth scopes

UI NamePermissionParameter
Productsmodifystore_v2_products
Productsread-onlystore_v2_products_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.